cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Member
New Member

7120 Apple Mac OS X 10.8 compatability

Hi, The 7120 shows as level 1 compatible with Mountain Lion on the compatability matrix  and yet we receive Post Script errors when trying to print from Macs to our 7120 and are told by our reseller that the printer requires a Post Script option to print from a Mac. I'm confused, it's either Mac compaitble or it's not, which is it, can anyone help with a definitive answer please? Thanks

0 Kudos
1 Reply
Highlighted
Frequent Member
Frequent Member

Re: 7120 Apple Mac OS X 10.8 compatability

Postscript need to buy the option.
It's a physical memory and then you can print.

A greeting.

0 Kudos